// TPitchLineGen.h
#ifndef _TPITCHLINERECT_H_
#define _TPITCHLINERECT_H_

#include "TPitchLineGen.h"
#include "CFTTVector32.h"

/*
001BE68C TPitchLineRect::~TPitchLineRect()
001BDF28 TPitchLineRect::GetType()
001BD74A TPitchLineRect::Clamp(CFTTVector32)
001BDF7C TPitchLineRect::Identical(TPitchLineGen *)
001BE050 TPitchLineRect::Render()
001BDD5C TPitchLineRect::Transform(uchar)
001BD72C TPitchLineRect::Translate(CFTTVector32)
001BD7FC TPitchLineRect::Valid()
001BE14C TPitchLineRect::Clone()

003237C8
vptr_TPitchLineRect_3237C8:
    TPitchLineGen::~TPitchLineGen()
    TPitchLineRect::~TPitchLineRect()
    TPitchLineRect::GetType(void)
    TPitchLineRect::Clamp(CFTTVector32)
    TPitchLineRect::Identical(TPitchLineGen *)
    TPitchLineRect::Render(void)
    TPitchLineRect::Transform(uchar)
    TPitchLineRect::Translate(CFTTVector32)
    TPitchLineRect::Valid(void)
    TPitchLineRect::Clone(void)

0x34
*/

class TPitchLineRect : public TPitchLineGen {
public:
  // virtual ~TPitchLineRect();               //001BE68C
  virtual int GetType();                   // 001BDF28
  virtual void Clamp(CFTTVector32);        // 001BD74A
  virtual bool Identical(TPitchLineGen*);  // 001BDF7C
  virtual void Render();                   // 001BE050
  virtual void Transform(uchar);           // 001BDD5C
  virtual void Translate(CFTTVector32);    // 001BD72C
  virtual bool Valid();                    // 001BD7FC
  virtual TPitchLineGen* Clone();          // 001BE14C

  // vptr
  CFTTVector32 list_vec32_4[4];

  static int s_eType;  // 00342D6C 某个枚举
};

#endif  //_TPITCHLINERECT_H_